KFilePropsPlugin Class Reference

`#include <kpropertiesdialog.h>`

Inheritance diagram for KFilePropsPlugin:

## Public Member Functions

| KFilePropsPlugin (KPropertiesDialog *_props)
virtual void | applyChanges ()
void | postApplyChanges ()
void | setFileNameReadOnly (bool ro)
Public Member Functions inherited from KPropsDlgPlugin
| KPropsDlgPlugin (KPropertiesDialog *_props)
void | setDirty (bool b)
bool | isDirty () const

## Static Public Member Functions

static bool | supports (KFileItemList _items)
Static Public Member Functions inherited from KPropsDlgPlugin
static bool | isDesktopFile (KFileItem *_item)

## Protected Slots

void | slotEditFileType ()
void | slotCopyFinished (KIO::Job *)
void | slotFileRenamed (KIO::Job *, const KURL &, const KURL &)
void | slotDirSizeUpdate ()
void | slotDirSizeFinished (KIO::Job *)
void | slotFoundMountPoint (const QString &mp, unsigned long kBSize, unsigned long kBUsed, unsigned long kBAvail)
void | slotSizeStop ()
void | slotSizeDetermine ()

## Additional Inherited Members

Public Slots inherited from KPropsDlgPlugin
void | setDirty ()
Signals inherited from KPropsDlgPlugin
void | changed ()
Protected Member Functions inherited from KPropsDlgPlugin
virtual void | virtual_hook (int id, void *data)
Protected Attributes inherited from KPropsDlgPlugin
KPropertiesDialog * | properties
int | fontHeight

## Detailed Description

'General' plugin This plugin displays the name of the file, its size and access times.

Definition at line 495 of file kpropertiesdialog.h.

## Constructor & Destructor Documentation

KFilePropsPlugin::KFilePropsPlugin | ( | KPropertiesDialog * | _props | ) |

Constructor.

Definition at line 695 of file kpropertiesdialog.cpp.

## Member Function Documentation

void KFilePropsPlugin::applyChanges | ( |  | ) |

virtual

Applies all changes made.

This plugin must be always the first plugin in the dialog, since this function may rename the file which may confuse other applyChanges functions.

Reimplemented from KPropsDlgPlugin.

Definition at line 1307 of file kpropertiesdialog.cpp.

void KFilePropsPlugin::postApplyChanges | ( |  | ) |

Called after all plugins applied their changes.

Definition at line 1482 of file kpropertiesdialog.cpp.

bool KFilePropsPlugin::supports | ( | KFileItemList | _items | ) |

static

Tests whether the files specified by _items need a 'General' plugin.

Definition at line 1298 of file kpropertiesdialog.cpp.

The documentation for this class was generated from the following files:

- kpropertiesdialog.h
- kpropertiesdialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys